
From: "Chen, Kenneth W" <kenneth.w.chen@intel.com>

Updates to Documentation/kernel-parameters.txt for the 4 new boot time
parameters.



---

 25-akpm/Documentation/kernel-parameters.txt |   12 ++++++++++++
 1 files changed, 12 insertions(+)

diff -puN Documentation/kernel-parameters.txt~limit-hash-table-size-docco Documentation/kernel-parameters.txt
--- 25/Documentation/kernel-parameters.txt~limit-hash-table-size-docco	Tue Feb 17 17:07:45 2004
+++ 25-akpm/Documentation/kernel-parameters.txt	Tue Feb 17 17:07:45 2004
@@ -299,6 +299,9 @@ running once the system is up.
 
 	devfs=		[DEVFS]
 			See Documentation/filesystems/devfs/boot-options.
+
+	dhash_entries=	[KNL]
+			Set number of hash buckets for dentry cache.
  
 	digi=		[HW,SERIAL]
 			IO parameters + enable/disable command.
@@ -448,6 +451,9 @@ running once the system is up.
 	idle=		[HW]
 			Format: idle=poll or idle=halt
  
+	ihash_entries=	[KNL]
+			Set number of hash buckets for inode cache.
+
 	in2000=		[HW,SCSI]
 			See header of drivers/scsi/in2000.c.
 
@@ -897,6 +903,9 @@ running once the system is up.
 
 	resume=		[SWSUSP] Specify the partition device for software suspension
 
+	rhash_entries=	[KNL,NET]
+			Set number of hash buckets for route cache
+
 	riscom8=	[HW,SERIAL]
 			Format: <io_board1>[,<io_board2>[,...<io_boardN>]]
 
@@ -1159,6 +1168,9 @@ running once the system is up.
 	tgfx_2=		See Documentation/input/joystick-parport.txt.
 	tgfx_3=
 
+	thash_entries=	[KNL,NET]
+			Set number of hash buckets for TCP connection
+
 	tipar=		[HW]
 			See header of drivers/char/tipar.c.
 

_
